package com.zcloud.mapper.datasource.specialoperation;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：特种作业人员管理
 * 作者：luoxiaobao
 * 时间：2022-06-16
 * 官网：www.zcloudchina.com
 */
public interface SpecialOperationsMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);
	List<PageData> namelist(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**
	 * 判断特种作业证书编号是否存在，减少返回字段，优化压力
	 * @param pd
	 * @return
	 */
	PageData findByCertificate(PageData pd);

	void editPassword(PageData pd);

	PageData findForLogin(PageData pd);
}

